##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I../mbase -I../mdata -I../mfileio -I../mhbase

# @code 

CINT     = FBase
LIB      = mfbase.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MF.cc \
           MFilterList.cc \
           MFEventSelector.cc \
           MFEventSelector2.cc \
	   MFDataChain.cc \
	   MFDataMember.cc \
           MFRealTimePeriod.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

#clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode

